Bug 824113 - system-config-selinux - Boolean - no change
system-config-selinux - Boolean - no change
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 14:28 EDT by Flóki Pálsson
Modified: 2012-06-17 18:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-17 18:24:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flóki Pálsson 2012-05-22 14:28:50 EDT
Description of problem:


Version-Release number of selected component (if applicable):
policycoreutils-gui-2.1.11-16.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1.  Start  system-config-selinux from menu
2.  type sassword
3.  select Boolean
4.  Click in box in Active colum
  
Actual results:
Item is marked blue,  but no mark in box

Expected results:
See box marked and change in SElinus rules.

Additional info:

]$ system-config-selinux

** (process:1627): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (process:1627): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (process:1627): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
Gtk-Message: Failed to load module "pk-gtk-module"
/usr/share/system-config-selinux/system-config-selinux.py:71: Warning: g_object_get_valist: object class `GnomeProgram' has no property named `default-icon'
  xml = gtk.glade.XML ("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)
WARNING: Policy would be downgraded from version 27 to 26.
[floki@F17rc3d ~]$
Comment 1 Miroslav Grepl 2012-05-23 09:40:58 EDT
If you check it using

# getsebool -a

still nothing?
Comment 2 Flóki Pálsson 2012-05-23 16:33:24 EDT
>If you check it using

># getsebool -a

> still nothing?
yes.  No change.

Additional information:
I am doing the usual things to get samba working.
I can use samba form client on another machine and 
in same machine.


Form getsebool -a
samba_create_home_dirs --> off
samba_domain_controller --> off
samba_enable_home_dirs --> off
samba_export_all_ro --> off
samba_export_all_rw --> off
samba_portmapper --> off
samba_run_unconfined --> off
samba_share_fusefs --> off
samba_share_nfs --> off
sanlock_use_nfs --> off
sanlock_use_samba --> off
Comment 3 Daniel Walsh 2012-05-23 16:49:57 EDT
This is a bug in setsebool.

 /usr/sbin/setsebool -P abrt_handle_event=1
setsebool: illegal value abrt_handle_event=1 for boolean -P
Comment 4 Flóki Pálsson 2012-05-23 18:02:40 EDT
Works in RC4 DVD
Comment 5 Daniel Walsh 2012-05-24 08:52:42 EDT
Fixed in policycoreutils-2.1.11-16.fc18
Comment 6 Daniel Walsh 2012-05-24 08:54:35 EDT
Make that


Fixed in policycoreutils-2.1.11-17.fc17
Comment 7 Flóki Pálsson 2012-05-26 12:52:24 EDT
works now
policycoreutils-2.1.11-18.fc17.x86_64
Comment 8 Fedora Update System 2012-05-29 13:43:37 EDT
policycoreutils-2.1.11-18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-8405/policycoreutils-2.1.11-18.fc17
Comment 9 Fedora Update System 2012-06-17 18:24:01 EDT
policycoreutils-2.1.11-18.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.